Subject: Make men envious of your 9 inch d1ck - truth is, size does matter

From: "Yann Peattie" <[email-masked]>
Date: Wed, 30 Jan 2008 20:02:21 -0500

I love how my girl now can't keep her hands off me - size truly does matter